# List Campaign Plans

Get a list of campaign plans

Endpoint: GET /campaign_plans
Version: 3.0.1807
Security: Auth0

## Response 200 fields (application/json):

  - `data` (array)

  - `data.version` (integer)

  - `data.id` (integer)

  - `data.advertiser_id` (integer)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `data.name` (string)

  - `data.duration` (object)

  - `data.duration.start_date` (string)

  - `data.duration.end_date` (string)

  - `data.budget` (object)

  - `data.budget.total_budget` (number)

  - `data.budget.currency_code` (string)

  - `data.zone_name` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: "success"

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)


